logo
enes

Call settings

Last update: 6 hours ago by Irais Aguirre

Integration summary

  • Base URL: https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services
  • Token: admin token, in the Authorization: Bearer {{admin-token}} header (how to generate it)
  • Endpoints on this page:
    • POST /v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings: Configure call settings
    • GET /v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings: Get call settings

Configure call settings

Configures the call settings for the WhatsApp Business Calling API.

Request

Configure call settings request:

URLhttps://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings
MethodPOST
Typeapplication/json

Headers

Configure call settings headers:

NameDescriptionTypeRequirements
AuthorizationAdmin token. See Generate authentication token.StringRequired
Content-Typeapplication/jsonStringRequired

Parameters

Configure call settings parameters:

NameDescriptionTypeRequirements
waba_idWhatsApp Business Account IDStringRequired
business_phone_numberPhone number to configureStringRequired

Body

Configure call settings body fields:

NameDescriptionTypeRequirements
statusStatus of the calling service. Possible values: ENABLED or DISABLED. When DISABLED is sent, the submitted call_hours is ignored and replaced with placeholder values.StringOptional
call_icon_visibilityControls whether the call icon is shown in the user's interface. Possible values: DEFAULT or DISABLE_ALLStringOptional
callback_permission_statusAllows or restricts callbacks from the user. Possible values: ENABLED or DISABLEDStringOptional
call_hoursBusiness hours settingscall_hours objectOptional

Call hours object

NameDescriptionTypeRequirements
statusEnables or disables business hours. Possible values: ENABLED and DISABLEDStringOptional
timezone_idBusiness time zone (for example, America/Mexico_City)StringRequired if status is ENABLED
weekly_operating_hoursList of days and hours when the business is availableArray of weekly_operating_hours objectsOptional
holiday_scheduleSpecial non-working dates. If you update the phone number settings without including the holiday_schedule parameter, the existing holiday_schedule is deleted and replaced with an empty schedule. You can specify up to 20 datesArray of holiday_schedule objectsOptional

Weekly operating hours object

NameDescriptionTypeRequirements
day_of_weekDay of the week. Possible values: "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"StringRequired
open_timeOpening time, in 24-hour format. For example, "1130" = 11:30 a.m.String
  • Required when call_hours.status is ENABLED
  • 4 digits (HHmm)
  • Maximum of 2 entries per day of the week
  • Opening time must be earlier than closing time
  • Overlapping entries are not allowed
close_timeClosing time, in 24-hour format. For example, "1130" = 11:30 a.m.String
  • Required when call_hours.status is ENABLED
  • 4 digits (HHmm)
  • Maximum of 2 entries per day of the week
  • Opening time must be earlier than closing time
  • Overlapping entries are not allowed

Holiday schedule object

NameDescriptionTypeRequirements
dateDate on which the regular call hours are overriddenStringRequired
start_timeStart time in 24-hour format (HHmm). For example, "1130" = 11:30 a.m.String
  • Required.
  • 4 digits (HHmm).
  • end_time must be later than start_time.
end_timeEnd time in 24-hour format (HHmm). For example, "1800" = 6:00 p.m.String
  • Required.
  • 4 digits (HHmm).
  • end_time must be later than start_time.

Example

Complete Configure call settings example (HTTP request and JSON body):

HTTP request

curl -X POST 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings' \
-H 'Authorization: Bearer {{admin-token}}' \
-H 'Content-Type: application/json' \
-d '{
"status": "ENABLED",
"call_icon_visibility": "DEFAULT",
"call_hours": {
"status": "ENABLED",
"timezone_id": "America/Manaus",
"weekly_operating_hours": [
{
"day_of_week": "MONDAY",
"open_time": "0400",
"close_time": "1020"
},
{
"day_of_week": "TUESDAY",
"open_time": "0108",
"close_time": "1020"
}
],
"holiday_schedule": [
{
"date": "2026-01-01",
"start_time": "0000",
"end_time": "2359"
}
]
},
"callback_permission_status": "ENABLED"
}'

Body

{
"status": "ENABLED",
"call_icon_visibility": "DEFAULT",
"call_hours": {
"status": "ENABLED",
"timezone_id": "America/Manaus",
"weekly_operating_hours": [
{
"day_of_week": "MONDAY",
"open_time": "0400",
"close_time": "1020"
},
{
"day_of_week": "TUESDAY",
"open_time": "0108",
"close_time": "1020"
}
],
"holiday_schedule": [
{
"date": "2026-01-01",
"start_time": "0000",
"end_time": "2359"
}
]
},
"callback_permission_status": "ENABLED"
}

Response

Configure call settings response:

NameDescriptionType
successWhether the operation succeeded or failedBoolean
{
"success": true
}


Get call settings

Retrieves the call settings for the WhatsApp Business Calling API.

Request

Get call settings request:

URLhttps://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings
MethodGET

Headers

Get call settings headers:

NameDescriptionTypeRequirements
AuthorizationAdmin token. See Generate authentication token.StringRequired

Parameters

Get call settings parameters:

NameDescriptionTypeRequirements
waba_idWhatsApp Business Account IDStringRequired
business_phone_numberPhone number to queryStringRequired

Example

Get call settings example:

curl 'https://{{url}}/whatsapp-bsp-admin-ext-endpoint-ws/services/v1/phone-number/{{waba_id}}/{{business_phone_number}}/call-settings' \
-H 'Authorization: Bearer {{admin-token}}'

Response

Get call settings response:

NameDescriptionType
statusStatus of the calling serviceString
call_icon_visibilityControls whether the call icon is shown in the user's interfaceString
callback_permission_statusAllows or restricts callbacks from the userString
call_hoursBusiness hours settingscall_hours object

Call hours response object

NameDescriptionType
statusEnables or disables business hoursString
timezone_idBusiness time zone (for example, America/Mexico_City)String
weekly_operating_hoursList of days and hours when the business is availableArray of weekly_operating_hours objects
holiday_scheduleSpecial non-working datesArray of holiday_schedule objects


WhatsApp — Previous
User call permissions
Next — WhatsApp
Business operations during a call